RPM Community Forums

Mailing List Message of <rpm-users>

RE: Building RPM on HP-UX

From: BALASUBRAMANIAN VASANTHAN <Vasanthan.Balasubramanian@alcatel-lucent.com>
Date: Mon 23 Jun 2008 - 15:59:47 CEST
Message-ID: <6C7DB92EA7D4D74AA9D30D79A9FD7881B7FCA0@FRVELSMBS24.ad2.ad.alcatel.com>
Hi jason

 Thanks for your kind mail

I have tried rpm-5.1.2 also, getting same error

Do you have any documents for building rpm on HP-UX11i, PARISC
architecture

Best Regards
Vasanthan



 

-----Original Message-----
From: rpm-devel-owner@rpm5.org [mailto:rpm-devel-owner@rpm5.org] On
Behalf Of Jason Corley
Sent: Monday, June 23, 2008 7:25 PM
To: rpm-devel@rpm5.org
Cc: rpm-users@rpm5.org; BALASUBRAMANIAN VASANTHAN
Subject: Re: Building RPM on HP-UX

4.2.1 is quite old at this point.  You're going to have much better luck
using rpm 5.1.x as the portability adjustments made in the 5 branch were
a strong focus, particularly from OpenPKG folks.
Jason

On Mon, Jun 23, 2008 at 8:44 AM, BALASUBRAMANIAN VASANTHAN
<Vasanthan.Balasubramanian@alcatel-lucent.com> wrote:
> Hi All ,
>             Im trying to build rpm-4.2.1 on HP-UX11i ( PARISC 
> architecture), During Configure Im getting stack overflow error, and 
> make fails( i have attached the make file & config log  also). And 
> tried with rpm-5.1.2, but still fails
>
> Can anyone Please send me the  detailed document in building rpm on 
> HP-UX11i PARISC architecture
>
> The below is what steps, i have done before building rpm
>
> (a) build berkely db  ---> BerkeleyDB.4.6 ( binaries are present in
> /usr/local/BerkeleyDB.4.6) ( I have build this seprately)
>
> (b) build gcc-4.1.2 ( since libgcc and libstdc++ are prerequiste) ( 
> binaries Present in Path /opt/dev-tools/bin/gcc)
>
> (c) build openssl--->openssl-0.9.8g ( binaries present in path
> /usr/local/ssl/bin)
>
> (d) build beecrypt present in path---> /usr/local/pkg/beecrypt/4.1.2
>
> (e)bzip2 ---( binaries present /opt/dev-tools/bin)
>
> (f) zlib ( build zlib 1.2.3)
>
> vasanthb@inccishh0125 585 /opt/dev-tools/bin > whereis zlib
> zlib: /opt/dev-tools/share/man/man3/zlib.3
> (g)libiconv1.12  ( binaries in /opt/dev-tools/bin)
>
> (h) getext 0.17 (/opt/dev-tools/bin
> ----------------------------------------------------------------------
> ----------------------------------------------------------------------
> -----------------------------------------
>
> My question is  since popt,zlib,db3 ( are present in rpm 4.2.1 tar 
> files.......How to override these directories .Whether this will have 
> impact during configuration)
> ----------------------------------------------------------------------
> ----------------------------------------------------------------------
> --------------------------------------------------
>
>  1)When i configured the rpm-4.2.1 , it throwing me stack overflow 
> error during configuration, and make fails ( i have attached 
> configuration log)
>
> vasanthb@inccishh0125 692 ~/src/rpm-4.2.1 > make Bad character | 
> (octal 174), line 1078Make: .  Stop.
>
> can you please How to go about this issue... ?
>
>
> 2) When i Tried to build berkeley  db  present in rpm-4.2.1---------( 
> i got the following error message .....(so  i have build 
> berkeleyDB.4.6 seprately ....How to i configure  berkely for rpm?) 
> stat.lo txn_util.lo xa.lo xa_db.lo xa_map.lo  -lc
> /usr/ccs/bin/ld: aes_method.lo: Not a valid object file (invalid 
> system id)
> *** Error exit code 1
>
> Stop.
>
>
> Best Regards
> Vasanth
______________________________________________________________________
RPM Package Manager                                    http://rpm5.org
Developer Communication List                        rpm-devel@rpm5.org
Received on Mon Jun 23 16:01:08 2008
Driven by Jeff Johnson and the RPM project team.
Hosted by OpenPKG and Ralf S. Engelschall.
Powered by FreeBSD and OpenPKG.